>From 26ee4e9e79b87987a530434dd82d439eebf47701 Mon Sep 17 00:00:00 2001
From: Andreas Pakulat <apaku@gmx.de>
Date: Mon, 21 Feb 2011 21:37:20 +0100
Subject: [PATCH 1/3] Fix running, lists only know append

---
 tests/modeltest/modeltest.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/tests/modeltest/modeltest.py b/tests/modeltest/modeltest.py
index d0c6e12..9fde497 100644
--- a/tests/modeltest/modeltest.py
+++ b/tests/modeltest/modeltest.py
@@ -347,7 +347,7 @@ class ModelTest(QtCore.QObject):
 
     def layoutAboutToBeChanged(self):
         for i in range(0, max(0, min( self.model.rowCount(), 100))):
-            self.changing.add( QtCore.QPersistentModelIndex( self.model.index( i, 0 ) ) )
+            self.changing.append( QtCore.QPersistentModelIndex( self.model.index( i, 0 ) ) )
 
     def layoutChanged(self):
         for c in self.changing:
-- 
1.7.2.3

